## nautilus-column-provider

nautilus-column-provider

## Synopsis

                        NautilusColumnProvider;
                        NautilusColumnProviderIface;
    GList *             nautilus_column_provider_get_columns
                                                            (NautilusColumnProvider *provider);

## Object Hierarchy

      GInterface
       +----NautilusColumnProvider

## Prerequisites

NautilusColumnProvider requires GObject.

## Description

## Details

### NautilusColumnProvider

    typedef struct _NautilusColumnProvider NautilusColumnProvider;

### NautilusColumnProviderIface

    typedef struct {
    	GTypeInterface g_iface;

    	GList *(*get_columns) (NautilusColumnProvider *provider);
    } NautilusColumnProviderIface;

### nautilus_column_provider_get_columns ()

    GList *             nautilus_column_provider_get_columns
                                                            (NautilusColumnProvider *provider);

`provider` : |
Returns : |